#include "triangles.h"
#include <bits/stdc++.h>

using namespace std;

vector<vector<int>> solve(int n)
{
    if (compare({Triangle(0, 1, 3), Triangle(1, 2, 3), Triangle(2, 0, 3)}, {Triangle(0, 1, 2)}) == 0)
        return {{0, 1, 2}};
    
    if (compare({Triangle(0, 1, 3), Triangle(1, 2, 0), Triangle(2, 0, 3)}, {Triangle(3, 1, 2)}) == 0)
        return {{3, 1, 2}};

    if (compare({Triangle(2, 1, 3), Triangle(1, 2, 0), Triangle(2, 0, 3)}, {Triangle(0, 1, 3)}) == 0)
        return {{0, 1, 3}};

    if (compare({Triangle(0, 1, 3), Triangle(1, 2, 3), Triangle(2, 0, 1)}, {Triangle(0, 3, 2)}) == 0)
        return {{0, 3, 2}};

    return {{0, 1, 2, 3}};
}